Subject: Re: [X2Go-Dev] Bug#307: x2goserver dependency breaks

From: westlake <[email-masked]>
Date: Thu, 26 Sep 2013 13:28:49 -0400

I'm not exactly sure which package installed it as a dependency other 
than it was mysql-workbench.

apt-cache policy python-paramiko indicated it was from x2go's repository

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721733

The python-paramiko edition from x2go's repository isn't compatible with 
mysql-workbench (mysql-workbench is from debian's repositories)

(when I install x2goclient and x2goserver, they wouldn't be needing 
python-paramiko, so it's heavily not a problem.. I simply take out the 
x2go repository soon-after because of this specific problem with 
python-paramiko. I'd prefer not to though.. I'm actually trying to get 
the word out for x2go and I think it's a good app for more people to 
feedback upon.)

Thanks..

-Scott

On 17/09/13 07:15 AM, Mike Gabriel wrote:
> Control: reassign -1 python-x2go
> Control: found -1 0.4.0.9
> Control: tag -1 moreinfo
>
> On Fr 13 Sep 2013 11:04:39 CEST westlake wrote:
>
>> python-paramiko from packages.x2go.org, for eg breaks mysql-workbench
>> on debian..
>
> Please let me know why you think this. Is there a dependency conflict?
> Or are files in python-paramiko that exist (by name) in any of the other
> Debian packages?
>
>> I suppose I can try to divert or use Wheezy/sid, but I'd just like to
>> share this info
>>
>> Since time is spent into making .deb files, why not simply have it
>> available with debian directly? It can prevent the above problem :)
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465821
>
> The Debian packaging by X2Go upstream is for providing more recent X2Go
> component versions to users of Debian stable / oldstable.
>
> The client-side of X2Go already is in Debian [1]. The server-side is
> problematic as getting nx-X11 into Debian [2,3] is problematic.
>
> Greets,
> Mike (who is X2Go upstream and a Debian Developer)
>
> [1]
> http://qa.debian.org/developer.php?login=[email-masked]
>
> [2] http://bugs.debian.org/655699
> [3]
> http://meetings-archive.debian.net/pub/debian-meetings/2013/debconf13/webm-high/960_X2Go_Terminal_Server_Suite_and_Debian.webm
>
>
>